<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddFixedMohAudioSourceReq StructType
 * @subpackage Structs
 */
class AddFixedMohAudioSourceReq extends APIRequest
{
    /**
     * The fixedMohAudioSource
     * @var XFixedMohAudioSource
     */
    public $fixedMohAudioSource;
    /**
     * Constructor method for AddFixedMohAudioSourceReq
     * @uses AddFixedMohAudioSourceReq::setFixedMohAudioSource()
     * @param XFixedMohAudioSource $fixedMohAudioSource
     */
    public function __construct(XFixedMohAudioSource $fixedMohAudioSource = null)
    {
        $this
            ->setFixedMohAudioSource($fixedMohAudioSource);
    }
    /**
     * Get fixedMohAudioSource value
     * @return XFixedMohAudioSource|null
     */
    public function getFixedMohAudioSource()
    {
        return $this->fixedMohAudioSource;
    }
    /**
     * Set fixedMohAudioSource value
     * @param XFixedMohAudioSource $fixedMohAudioSource
     * @return AddFixedMohAudioSourceReq
     */
    public function setFixedMohAudioSource(XFixedMohAudioSource $fixedMohAudioSource = null)
    {
        $this->fixedMohAudioSource = $fixedMohAudioSource;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddFixedMohAudioSourceReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
